Eclipse Platform Release 3.7

## org.eclipse.equinox.p2.core.spi
Interface IAgentServiceFactory

    public interface IAgentServiceFactory

A factory for creating a service that forms part of a provisioning agent instance. Factories themselves are registered in the OSGi service registry so that they can be obtained by a provisioning agent.

Since:
  2.0

Field Summary
`static String` `PROP_CREATED_SERVICE_NAME` The service property specifying the name of the service created by this factory.
`static String` `SERVICE_NAME` The service name for the factory service.

Method Summary
`Object` `createService(IProvisioningAgent agent)` Instantiates a service instance for the given provisioning agent.

Field Detail

### SERVICE_NAME

    static final String SERVICE_NAME

  The service name for the factory service.

### PROP_CREATED_SERVICE_NAME

    static final String PROP_CREATED_SERVICE_NAME

  The service property specifying the name of the service created by this factory.

  See Also:
    Constant Field Values

Method Detail

### createService

    Object createService(IProvisioningAgent agent)

  Instantiates a service instance for the given provisioning agent.

  Parameters:
    `agent` - The agent this service will belong to
  Returns:
    The created service

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.